import { FactoryProvider } from '@nestjs/common';
import { DataSource, Repository } from 'typeorm';
import { OAuth2Token } from './oauth2-token.entity';

export const tokenProviders = [
  {
    provide: 'TOKEN_REPOSITORY',
    useFactory: (dataSource: DataSource) =>
      dataSource.getRepository(OAuth2Token),
    inject: ['DATA_SOURCE'],
  } as FactoryProvider<Repository<OAuth2Token>>,
];
