import { FactoryProvider } from '@nestjs/common';
import { DataSource, Repository } from 'typeorm';
import { UserToken } from './user-token.entity';

export const userTokenProviders = [
  {
    provide: 'USER_TOKEN_REPOSITORY',
    useFactory: (dataSource: DataSource) => dataSource.getRepository(UserToken),
    inject: ['DATA_SOURCE'],
  } as FactoryProvider<Repository<UserToken>>,
];
